> For the complete documentation index, see [llms.txt](https://ultrasafe.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ultrasafe.gitbook.io/docs/api-documentation/translate/conversational-ai.md).

# Conversational AI

<mark style="color:yellow;">`POST`</mark> <https://api.us.inc/us/eus1/translate/v1>

**Headers**

| Name  | Value     |
| ----- | --------- |
| Key   | x-api-key |
| Value | \<value>  |

**Body** raw (json)

```json
{
    "text":"How can you help users?",
    "target_language":"ar",
    "tone": "formal",
    "instruction": ""
}
```

**Example Request**

```json
curl --location 'https://api.us.inc/us/eus1/translate/v1' \
--data '{
    "text":"How can you help users?",
    "target_language":"ar",
    "tone": "formal",
    "instruction": ""
}'
```

**Example Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": 1,
  "message": "Success",
  "data": {
    "original": "How can you help users?",
    "translation": "كيف يمكنك مساعدة المستخدمين؟",
    "target_language_name": "Arabic",
    "target_language": "ar"
  },
  "code": 200
}
```

{% endtab %}

{% tab title="Headers (9)" %}

|                             |                                                                                                                                                           |
| --------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| X-Powered-By                | Express                                                                                                                                                   |
| Access-Control-Allow-Origin | \*                                                                                                                                                        |
| Content-Type                | application/json; charset=utf-8                                                                                                                           |
| Content-Length              | 2385                                                                                                                                                      |
| ETag                        | W/"951-HgtzKfsPXJ/sboZDCH5M62pIh04"                                                                                                                       |
| Set-Cookie                  | connect.sid=s%3AJ3BejzfdhrSEIEFd538leY5-bwL3yOOd.ks7OvF45fXY2MekD%2FV3aHyPSBUUgSpQQD1UJN%2FTfLgA; Path=/; Expires=Thu, 01 Aug 2024 20:15:16 GMT; HttpOnly |
| Date                        | Thu, 01 Aug 2024 20:09:16 GMT                                                                                                                             |
| Connection                  | keep-alive                                                                                                                                                |
| Keep-Alive                  | timeout=5                                                                                                                                                 |
| {% endtab %}                |                                                                                                                                                           |
| {% endtabs %}               |                                                                                                                                                           |
